<div class="rounded-t-lg h-32 overflow-hidden bg-gray-500/10"></div>
<div
  class="mx-auto w-32 h-32 relative -mt-16 border-4 border-white rounded-full overflow-hidden"
>
  <svg
    class="object-cover object-center h-32"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    version="1.1"
    viewBox="0 -256 1792 1792"
  >
    <g transform="matrix(1,0,0,-1,197.42373,1300.6102)">
      <path
        d="M 1408,131 Q 1408,11 1335,-58.5 1262,-128 1141,-128 H 267 Q 146,-128 73,-58.5 0,11 0,131 0,184 3.5,234.5 7,285 17.5,343.5 28,402 44,452 q 16,50 43,97.5 27,47.5 62,81 35,33.5 85.5,53.5 50.5,20 111.5,20 9,0 42,-21.5 33,-21.5 74.5,-48 41.5,-26.5 108,-48 Q 637,565 704,565 q 67,0 133.5,21.5 66.5,21.5 108,48 41.5,26.5 74.5,48 33,21.5 42,21.5 61,0 111.5,-20 50.5,-20 85.5,-53.5 35,-33.5 62,-81 27,-47.5 43,-97.5 16,-50 26.5,-108.5 10.5,-58.5 14,-109 Q 1408,184 1408,131 z m -320,893 Q 1088,865 975.5,752.5 863,640 704,640 545,640 432.5,752.5 320,865 320,1024 320,1183 432.5,1295.5 545,1408 704,1408 863,1408 975.5,1295.5 1088,1183 1088,1024 z"
      />
    </g>
  </svg>
</div>
<form
  class="text-center mt-2"
  x-data="{
    session: auth?.Session,
    token_types: auth?.options?.tokens.allowed || [],
    selected_type: null,
    selected_token: null,
  }"
  x-init="
    if (session?.type === 'tokens') {
      selected_type = session?.state?.type || token_types[0];
      selected_token = session?.state?.token;
    } else {
      const legacy = await auth.getProvider('tokens').findLegacyToken();
      selected_type = selected_type || legacy?.state?.type || token_types[0];
      selected_token = selected_token || legacy?.state?.token;
    }
  "
  @submit.prevent="session = await auth.startLogin(auth.newSession('tokens', {
    type: selected_type,
    token: selected_token,
  }))"
>
  <div class="font-semibold truncate px-4 text-3xl dark:text-gray-900">
    Login with access token
  </div>
  <div class="flex flex-col space-y-4 mx-8 mt-8">
    <div class="mb-4">
      <div class="flex shadow border rounded w-full">
        <label
          for="token_type"
          class="flex w-10 items-center justify-center rounded-tl-lg rounded-bl-lg border-r border-gray-200 bg-white"
        >
          <i class="fa-brands fa-keycdn"></i>
        </label>
        <select
          id="token_type"
          type="text"
          autocomplete="username"
          x-model="selected_type"
          class="w-full px-3 py-2 focus:outline-none border-0 rounded-tr-lg rounded-br-lg"
          required
        >
          <template x-for="token_type in token_types">
            <option
              x-bind:value="token_type"
              x-text="token_type"
              x-bind:selected="token_type == selected_type"
            ></option>
          </template>
        </select>
      </div>
    </div>
    <div class="mb-2">
      <div class="flex shadow border rounded w-full">
        <label
          for="selected_token"
          class="flex w-10 items-center justify-center rounded-tl-lg rounded-bl-lg border-r border-gray-200 bg-white"
        >
          <i class="fa-solid fa-key"></i>
        </label>
        <input
          hidden
          type="text"
          autocomplete="username"
          x-bind:value="selected_type"
        />
        <input
          id="selected_token"
          name="selected_token"
          type="password"
          class="flex-1 appearance-none border-0 py-2 px-3 text-grey-darker outline-0 focus:border-0"
          autocomplete="current-password"
          placeholder="Enter access token"
          x-bind:placeholder="'Enter ' + selected_type"
          x-model="selected_token"
          required
        />
        <a
          target="_blank"
          href="https://docs.gitlab.com/ee/security/token_overview.html"
          class="flex w-8 items-center justify-center rounded-tr-lg rounded-br-lg border-l border-gray-200 bg-white no-underline"
        >
          <i
            class="fa-solid fa-circle-info text-gray-500 hover:text-blue-500"
          ></i>
        </a>
      </div>
    </div>
  </div>

  <!-- Login/logout buttons -->
  <div
    x-cloak
    x-show="!auth.isAuthenticated()"
    class="p-4 mx-8 my-4"
  >
    <button
      type="submit"
      class="block mx-auto rounded-full bg-gray-900 hover:shadow-lg font-semibold text-white px-6 py-2 disabled:bg-gray-500/25 disabled:hover:shadow-none"
      x-bind:disabled="!selected_type || !selected_token"
    >
      Login using a token
    </button>
  </div>
</form>
